Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
190.128.0.0
Broadcast address
190.191.255.255
First usable
190.128.0.1
Last usable
190.191.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex BE800000 · Integer 3196059648 to 3200253951
Reverse DNS zones
128.190.in-addr.arpa
129.190.in-addr.arpa
130.190.in-addr.arpa
131.190.in-addr.arpa
132.190.in-addr.arpa
133.190.in-addr.arpa
134.190.in-addr.arpa
135.190.in-addr.arpa
136.190.in-addr.arpa
137.190.in-addr.arpa
138.190.in-addr.arpa
139.190.in-addr.arpa
140.190.in-addr.arpa
141.190.in-addr.arpa
142.190.in-addr.arpa
143.190.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.10000000.00000000.00000000190.128.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10111110.10000000.00000000.00000000190.128.0.0
Broadcast10111110.10111111.11111111.11111111190.191.255.255
Split into smaller subnets/16

190.128.0.0/10 makes 64 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.128.0.0/16190.128.0.1 to 190.128.255.254190.128.255.25565,534
2190.129.0.0/16190.129.0.1 to 190.129.255.254190.129.255.25565,534
3190.130.0.0/16190.130.0.1 to 190.130.255.254190.130.255.25565,534
4190.131.0.0/16190.131.0.1 to 190.131.255.254190.131.255.25565,534
5190.132.0.0/16190.132.0.1 to 190.132.255.254190.132.255.25565,534
6190.133.0.0/16190.133.0.1 to 190.133.255.254190.133.255.25565,534
7190.134.0.0/16190.134.0.1 to 190.134.255.254190.134.255.25565,534
8190.135.0.0/16190.135.0.1 to 190.135.255.254190.135.255.25565,534
9190.136.0.0/16190.136.0.1 to 190.136.255.254190.136.255.25565,534
10190.137.0.0/16190.137.0.1 to 190.137.255.254190.137.255.25565,534
11190.138.0.0/16190.138.0.1 to 190.138.255.254190.138.255.25565,534
12190.139.0.0/16190.139.0.1 to 190.139.255.254190.139.255.25565,534
13190.140.0.0/16190.140.0.1 to 190.140.255.254190.140.255.25565,534
14190.141.0.0/16190.141.0.1 to 190.141.255.254190.141.255.25565,534
15190.142.0.0/16190.142.0.1 to 190.142.255.254190.142.255.25565,534
16190.143.0.0/16190.143.0.1 to 190.143.255.254190.143.255.25565,534
17190.144.0.0/16190.144.0.1 to 190.144.255.254190.144.255.25565,534
18190.145.0.0/16190.145.0.1 to 190.145.255.254190.145.255.25565,534
19190.146.0.0/16190.146.0.1 to 190.146.255.254190.146.255.25565,534
20190.147.0.0/16190.147.0.1 to 190.147.255.254190.147.255.25565,534
21190.148.0.0/16190.148.0.1 to 190.148.255.254190.148.255.25565,534
22190.149.0.0/16190.149.0.1 to 190.149.255.254190.149.255.25565,534
23190.150.0.0/16190.150.0.1 to 190.150.255.254190.150.255.25565,534
24190.151.0.0/16190.151.0.1 to 190.151.255.254190.151.255.25565,534
25190.152.0.0/16190.152.0.1 to 190.152.255.254190.152.255.25565,534
26190.153.0.0/16190.153.0.1 to 190.153.255.254190.153.255.25565,534
27190.154.0.0/16190.154.0.1 to 190.154.255.254190.154.255.25565,534
28190.155.0.0/16190.155.0.1 to 190.155.255.254190.155.255.25565,534
29190.156.0.0/16190.156.0.1 to 190.156.255.254190.156.255.25565,534
30190.157.0.0/16190.157.0.1 to 190.157.255.254190.157.255.25565,534
31190.158.0.0/16190.158.0.1 to 190.158.255.254190.158.255.25565,534
32190.159.0.0/16190.159.0.1 to 190.159.255.254190.159.255.25565,534
33190.160.0.0/16190.160.0.1 to 190.160.255.254190.160.255.25565,534
34190.161.0.0/16190.161.0.1 to 190.161.255.254190.161.255.25565,534
35190.162.0.0/16190.162.0.1 to 190.162.255.254190.162.255.25565,534
36190.163.0.0/16190.163.0.1 to 190.163.255.254190.163.255.25565,534
37190.164.0.0/16190.164.0.1 to 190.164.255.254190.164.255.25565,534
38190.165.0.0/16190.165.0.1 to 190.165.255.254190.165.255.25565,534
39190.166.0.0/16190.166.0.1 to 190.166.255.254190.166.255.25565,534
40190.167.0.0/16190.167.0.1 to 190.167.255.254190.167.255.25565,534
41190.168.0.0/16190.168.0.1 to 190.168.255.254190.168.255.25565,534
42190.169.0.0/16190.169.0.1 to 190.169.255.254190.169.255.25565,534
43190.170.0.0/16190.170.0.1 to 190.170.255.254190.170.255.25565,534
44190.171.0.0/16190.171.0.1 to 190.171.255.254190.171.255.25565,534
45190.172.0.0/16190.172.0.1 to 190.172.255.254190.172.255.25565,534
46190.173.0.0/16190.173.0.1 to 190.173.255.254190.173.255.25565,534
47190.174.0.0/16190.174.0.1 to 190.174.255.254190.174.255.25565,534
48190.175.0.0/16190.175.0.1 to 190.175.255.254190.175.255.25565,534
49190.176.0.0/16190.176.0.1 to 190.176.255.254190.176.255.25565,534
50190.177.0.0/16190.177.0.1 to 190.177.255.254190.177.255.25565,534
51190.178.0.0/16190.178.0.1 to 190.178.255.254190.178.255.25565,534
52190.179.0.0/16190.179.0.1 to 190.179.255.254190.179.255.25565,534
53190.180.0.0/16190.180.0.1 to 190.180.255.254190.180.255.25565,534
54190.181.0.0/16190.181.0.1 to 190.181.255.254190.181.255.25565,534
55190.182.0.0/16190.182.0.1 to 190.182.255.254190.182.255.25565,534
56190.183.0.0/16190.183.0.1 to 190.183.255.254190.183.255.25565,534
57190.184.0.0/16190.184.0.1 to 190.184.255.254190.184.255.25565,534
58190.185.0.0/16190.185.0.1 to 190.185.255.254190.185.255.25565,534
59190.186.0.0/16190.186.0.1 to 190.186.255.254190.186.255.25565,534
60190.187.0.0/16190.187.0.1 to 190.187.255.254190.187.255.25565,534
61190.188.0.0/16190.188.0.1 to 190.188.255.254190.188.255.25565,534
62190.189.0.0/16190.189.0.1 to 190.189.255.254190.189.255.25565,534
63190.190.0.0/16190.190.0.1 to 190.190.255.254190.190.255.25565,534
64190.191.0.0/16190.191.0.1 to 190.191.255.254190.191.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses